diff --git a/x-pack/plugin/ccr/src/internalClusterTest/java/org/elasticsearch/xpack/ccr/AutoFollowIT.java b/x-pack/plugin/ccr/src/internalClusterTest/java/org/elasticsearch/xpack/ccr/AutoFollowIT.java
index 29a05f6623116..8505368aa8fe6 100644
--- a/x-pack/plugin/ccr/src/internalClusterTest/java/org/elasticsearch/xpack/ccr/AutoFollowIT.java
+++ b/x-pack/plugin/ccr/src/internalClusterTest/java/org/elasticsearch/xpack/ccr/AutoFollowIT.java
@@ -559,7 +559,7 @@ private void resumeAutoFollowPattern(final String name) {
 
     private void assertLongBusy(CheckedRunnable<Exception> codeBlock) throws Exception {
         try {
-            assertBusy(codeBlock, 60L, TimeUnit.SECONDS);
+            assertBusy(codeBlock, 120L, TimeUnit.SECONDS);
         } catch (AssertionError ae) {
             AutoFollowStats autoFollowStats = null;
             try {
